From df0852602b97da3f0f2fc0f2c0f5129571bc53d4 Mon Sep 17 00:00:00 2001
From: William Xu <william.xwl@gmail.com>
Date: Sat, 12 Mar 2011 22:03:49 +0800
Subject: [PATCH] (ns_term_shutdown): Synchronize user defaults.

---
 src/nsterm.m |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/src/nsterm.m b/src/nsterm.m
index 5b5b968..b1e88ad 100644
--- a/src/nsterm.m
+++ b/src/nsterm.m
@@ -3972,6 +3972,8 @@ ns_term_init (Lisp_Object display_name)
 void
 ns_term_shutdown (int sig)
 {
+  [[NSUserDefaults standardUserDefaults] synchronize];
+  
   /* code not reached in emacs.c after this is called by shut_down_emacs: */
   if (STRINGP (Vauto_save_list_file_name))
     unlink (SDATA (Vauto_save_list_file_name));
-- 
1.7.4.1

